---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: netdata
  namespace: monitoring
  annotations:
    fluxcd.io/automated: "false"
spec:
  releaseName: netdata
  rollback:
    enable: true
  chart:
    repository: https://netdata.github.io/helmchart
    name: netdata
    version: 2.0.15
  values:
    image:
      repository: netdata/netdata
      tag: v1.26.0
    sd:
      repository: netdata/agent-sd
      tag: v0.2.1
      child:
        resources:
          limits:
            cpu: 50m
            memory: 60Mi
          requests:
            cpu: 50m
            memory: 60Mi
    ingress:
      enabled: true
      hosts:
        - netdata.kube.cardboardbox.be
      annotations:
        kubernetes.io/ingress.class: "nginx"
      tls:
        - hosts:
            - netdata.kube.cardboardbox.be
    parent:
      database:
        persistence: true
        storageclass: "longhorn"
        volumesize: 2Gi
      alarms:
        persistence: true
        storageclass: "longhorn"
        volumesize: 100Mi
      resources:
        limits:
          cpu: 250m
          memory: 512Mi
        requests:
          cpu: 100m
          memory: 512Mi
    child:
      resources:
        limits:
          cpu: 250m
          memory: 512Mi
        requests:
          cpu: 100m
          memory: 256Mi
